PHPExcel_Calculation

# Class: PHPExcel_Calculation_Engineering

Source Location: /PHPExcel/Calculation/Engineering.php

### Class Overview

PHPExcel_Calculation_Engineering

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- BESSELI
- BESSELJ
- BESSELK
- BESSELY
- BINTODEC
- BINTOHEX
- BINTOOCT
- COMPLEX
- CONVERTUOM
- DECTOBIN
- DECTOHEX
- DECTOOCT
- DELTA
- ERF
- ERFC
- GESTEP
- getConversionGroups
- getConversionGroupUnitDetails
- getConversionGroupUnits
- getConversionMultipliers
- HEXTOBIN
- HEXTODEC
- HEXTOOCT
- IMABS
- IMAGINARY
- IMARGUMENT
- IMCONJUGATE
- IMCOS
- IMDIV
- IMEXP
- IMLN
- IMLOG2
- IMLOG10
- IMPOWER
- IMPRODUCT
- IMREAL
- IMSIN
- IMSQRT
- IMSUB
- IMSUM
- OCTTOBIN
- OCTTODEC
- OCTTOHEX
- _erfVal
- _parseComplex

### Class Details

[line 50]
PHPExcel_Calculation_Engineering

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method BESSELI [line 793]

`static float BESSELI( float $x, integer $ord)`

BESSELI

Returns the modified Bessel function In(x), which is equivalent to the Bessel function evaluated for purely imaginary arguments

Excel Function: BESSELI(x,ord)

#### Tags:

access: | public

#### Parameters:

float | $x | The value at which to evaluate the function. If x is nonnumeric, BESSELI returns the #VALUE! error value.
integer | $ord | The order of the Bessel function. If ord is not an integer, it is truncated. If $ord is nonnumeric, BESSELI returns the #VALUE! error value. If $ord < 0, BESSELI returns the #NUM! error value.

[ Top ]

### static method BESSELJ [line 845]

`static float BESSELJ( float $x, integer $ord)`

BESSELJ

Returns the Bessel function

Excel Function: BESSELJ(x,ord)

#### Tags:

access: | public

#### Parameters:

float | $x | The value at which to evaluate the function. If x is nonnumeric, BESSELJ returns the #VALUE! error value.
integer | $ord | The order of the Bessel function. If n is not an integer, it is truncated. If $ord is nonnumeric, BESSELJ returns the #VALUE! error value. If $ord < 0, BESSELJ returns the #NUM! error value.

[ Top ]

### static method BESSELK [line 934]

`static float BESSELK( float $x, integer $ord)`

BESSELK

Returns the modified Bessel function Kn(x), which is equivalent to the Bessel functions evaluated for purely imaginary arguments.

Excel Function: BESSELK(x,ord)

#### Tags:

access: | public

#### Parameters:

float | $x | The value at which to evaluate the function. If x is nonnumeric, BESSELK returns the #VALUE! error value.
integer | $ord | The order of the Bessel function. If n is not an integer, it is truncated. If $ord is nonnumeric, BESSELK returns the #VALUE! error value. If $ord < 0, BESSELK returns the #NUM! error value.

[ Top ]

### static method BESSELY [line 1014]

`static float BESSELY( float $x, integer $ord)`

BESSELY

Returns the Bessel function, which is also called the Weber function or the Neumann function.

Excel Function: BESSELY(x,ord)

#### Tags:

access: | public

#### Parameters:

float | $x | The value at which to evaluate the function. If x is nonnumeric, BESSELK returns the #VALUE! error value.
integer | $ord | The order of the Bessel function. If n is not an integer, it is truncated. If $ord is nonnumeric, BESSELK returns the #VALUE! error value. If $ord < 0, BESSELK returns the #NUM! error value.

[ Top ]

### static method BINTODEC [line 1061]

`static string BINTODEC( string $x)`

BINTODEC

Return a binary value as decimal.

Excel Function: BIN2DEC(x)

#### Tags:

access: | public

#### Parameters:

string

$x

The binary number (as a string) that you want to convert. The number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2DEC returns the #NUM! error value.

[ Top ]

### static method BINTOHEX [line 1113]

`static string BINTOHEX( string $x, [integer $places = NULL])`

BINTOHEX

Return a binary value as hex.

Excel Function: BIN2HEX(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The binary number (as a string) that you want to convert. The number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2HEX returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, BIN2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, BIN2HEX returns the #VALUE! error value. If places is negative, BIN2HEX returns the #NUM! error value.

[ Top ]

### static method BINTOOCT [line 1167]

`static string BINTOOCT( string $x, [integer $places = NULL])`

BINTOOCT

Return a binary value as octal.

Excel Function: BIN2OCT(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The binary number (as a string) that you want to convert. The number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2OCT returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, BIN2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, BIN2OCT returns the #VALUE! error value. If places is negative, BIN2OCT returns the #NUM! error value.

[ Top ]

### static method COMPLEX [line 1637]

`static string COMPLEX( [float $realNumber = 0.0], [float $imaginary = 0.0], [string $suffix = 'i'])`

COMPLEX

Converts real and imaginary coefficients into a complex number of the form x + yi or x + yj.

Excel Function: COMPLEX(realNumber,imaginary[,places])

#### Tags:

access: | public

#### Parameters:

float | $realNumber | The real coefficient of the complex number.
float | $imaginary | The imaginary coefficient of the complex number.
string | $suffix | The suffix for the imaginary component of the complex number. If omitted, the suffix is assumed to be "i".

[ Top ]

### static method CONVERTUOM [line 2418]

`static float CONVERTUOM( float $value, string $fromUOM, string $toUOM)`

CONVERTUOM

Converts a number from one measurement system to another. For example, CONVERT can translate a table of distances in miles to a table of distances in kilometers.

Excel Function: CONVERT(value,fromUOM,toUOM)

#### Tags:

access: | public

#### Parameters:

float | $value | The value in fromUOM to convert.
string | $fromUOM | The units for value.
string | $toUOM | The units for the result.

[ Top ]

### static method DECTOBIN [line 1225]

`static string DECTOBIN( string $x, [integer $places = NULL])`

DECTOBIN

Return a decimal value as binary.

Excel Function: DEC2BIN(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The decimal integer you want to convert. If number is negative, valid place values are ignored and DEC2BIN returns a 10-character (10-bit) binary number in which the most significant bit is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number < -512 or if number > 511, DEC2BIN returns the #NUM! error value. If number is nonnumeric, DEC2BIN returns the #VALUE! error value. If DEC2BIN requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, DEC2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, DEC2BIN returns the #VALUE! error value. If places is zero or negative, DEC2BIN returns the #NUM! error value.

[ Top ]

### static method DECTOHEX [line 1281]

`static string DECTOHEX( string $x, [integer $places = null])`

DECTOHEX

Return a decimal value as hex.

Excel Function: DEC2HEX(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The decimal integer you want to convert. If number is negative, places is ignored and DEC2HEX returns a 10-character (40-bit) hexadecimal number in which the most significant bit is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number < -549,755,813,888 or if number > 549,755,813,887, DEC2HEX returns the #NUM! error value. If number is nonnumeric, DEC2HEX returns the #VALUE! error value. If DEC2HEX requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, DEC2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, DEC2HEX returns the #VALUE! error value. If places is zero or negative, DEC2HEX returns the #NUM! error value.

[ Top ]

### static method DECTOOCT [line 1335]

`static string DECTOOCT( string $x, [integer $places = null])`

DECTOOCT

Return an decimal value as octal.

Excel Function: DEC2OCT(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The decimal integer you want to convert. If number is negative, places is ignored and DEC2OCT returns a 10-character (30-bit) octal number in which the most significant bit is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number < -536,870,912 or if number > 536,870,911, DEC2OCT returns the #NUM! error value. If number is nonnumeric, DEC2OCT returns the #VALUE! error value. If DEC2OCT requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, DEC2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, DEC2OCT returns the #VALUE! error value. If places is zero or negative, DEC2OCT returns the #NUM! error value.

[ Top ]

### static method DELTA [line 2189]

`static int DELTA( float $a, [float $b = 0])`

DELTA

Tests whether two values are equal. Returns 1 if number1 = number2; returns 0 otherwise. Use this function to filter a set of values. For example, by summing several DELTA functions you calculate the count of equal pairs. This function is also known as the Kronecker Delta function.

Excel Function: DELTA(a[,b])

#### Tags:

access: | public

#### Parameters:

float | $a | The first number.
float | $b | The second number. If omitted, b is assumed to be zero.

[ Top ]

### static method ERF [line 2265]

`static float ERF( float $lower, [float $upper = NULL])`

ERF

Returns the error function integrated between the lower and upper bound arguments.

Note: In Excel 2007 or earlier, if you input a negative value for the upper or lower bound arguments, the function would return a #NUM! error. However, in Excel 2010, the function algorithm was improved, so that it can now calculate the function for both positive and negative ranges. PHPExcel follows Excel 2010 behaviour, and accepts nagative arguments.

Excel Function: ERF(lower[,upper])

#### Tags:

access: | public

#### Parameters:

float | $lower | lower bound for integrating ERF
float | $upper | upper bound for integrating ERF. If omitted, ERF integrates between zero and lower_limit

[ Top ]

### static method ERFC [line 2329]

`static float ERFC( float $x)`

ERFC

Returns the complementary ERF function integrated between x and infinity

Note: In Excel 2007 or earlier, if you input a negative value for the lower bound argument, the function would return a #NUM! error. However, in Excel 2010, the function algorithm was improved, so that it can now calculate the function for both positive and negative x values. PHPExcel follows Excel 2010 behaviour, and accepts nagative arguments.

Excel Function: ERFC(x)

#### Tags:

access: | public

#### Parameters:

float | $x | The lower bound for integrating ERFC

[ Top ]

### static method GESTEP [line 2212]

`static int GESTEP( float $number, [float $step = 0])`

GESTEP

Excel Function: GESTEP(number[,step])

Returns 1 if number >= step; returns 0 (zero) otherwise Use this function to filter a set of values. For example, by summing several GESTEP functions you calculate the count of values that exceed a threshold.

#### Tags:

access: | public

#### Parameters:

float | $number | The value to test against step.
float | $step | The threshold value. If you omit a value for step, GESTEP uses zero.

[ Top ]

### static method getConversionGroups [line 2345]

`static array getConversionGroups( )`

getConversionGroups Returns a list of the different conversion groups for UOM conversions

#### Tags:

access: | public

[ Top ]

### static method getConversionGroupUnitDetails [line 2378]

`static array getConversionGroupUnitDetails( [ $group = NULL])`

getConversionGroupUnitDetails

#### Tags:

access: | public

#### Parameters:

| $group |

[ Top ]

### static method getConversionGroupUnits [line 2362]

`static array getConversionGroupUnits( [string $group = NULL])`

getConversionGroupUnits Returns an array of units of measure, for a specified conversion group, or for all groups

#### Tags:

access: | public

#### Parameters:

string | $group | The group whose units of measure you want to retrieve

[ Top ]

### static method getConversionMultipliers [line 2397]

`static array getConversionMultipliers( )`

getConversionMultipliers Returns an array of the Multiplier prefixes that can be used with Units of Measure in CONVERTUOM()

#### Tags:

return: | of mixed
access: | public

[ Top ]

### static method HEXTOBIN [line 1392]

`static string HEXTOBIN( string $x, [integer $places = null])`

HEXTOBIN

Return a hex value as binary.

Excel Function: HEX2BIN(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

the hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit (40th bit from the right). The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is negative, HEX2BIN ignores places and returns a 10-character binary number. If number is negative, it cannot be less than FFFFFFFE00, and if number is positive, it cannot be greater than 1FF. If number is not a valid hexadecimal number, HEX2BIN returns the #NUM! error value. If HEX2BIN requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, HEX2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, HEX2BIN returns the #VALUE! error value. If places is negative, HEX2BIN returns the #NUM! error value.

[ Top ]

### static method HEXTODEC [line 1428]

`static string HEXTODEC( string $x)`

HEXTODEC

Return a hex value as decimal.

Excel Function: HEX2DEC(x)

#### Tags:

access: | public

#### Parameters:

string | $x | The hexadecimal number you want to convert. This number cannot contain more than 10 characters (40 bits). The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is not a valid hexadecimal number, HEX2DEC returns the #NUM! error value.

[ Top ]

### static method HEXTOOCT [line 1474]

`static string HEXTOOCT( string $x, [integer $places = null])`

HEXTOOCT

Return a hex value as octal.

Excel Function: HEX2OCT(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is negative, HEX2OCT ignores places and returns a 10-character octal number. If number is negative, it cannot be less than FFE0000000, and if number is positive, it cannot be greater than 1FFFFFFF. If number is not a valid hexadecimal number, HEX2OCT returns the #NUM! error value. If HEX2OCT requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, HEX2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, HEX2OCT returns the #VALUE! error value. If places is negative, HEX2OCT returns the #NUM! error value.

[ Top ]

### static method IMABS [line 1726]

`static float IMABS( string $complexNumber)`

IMABS

Returns the absolute value (modulus) of a complex number in x + yi or x + yj text format.

Excel Function: IMABS(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the absolute value.

[ Top ]

### static method IMAGINARY [line 1686]

`static float IMAGINARY( string $complexNumber)`

IMAGINARY

Returns the imaginary coefficient of a complex number in x + yi or x + yj text format.

Excel Function: IMAGINARY(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the imaginary coefficient.

[ Top ]

### static method IMARGUMENT [line 1747]

`static float IMARGUMENT( string $complexNumber)`

IMARGUMENT

Returns the argument theta of a complex number, i.e. the angle in radians from the real axis to the representation of the number in polar coordinates.

Excel Function: IMARGUMENT(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the argument theta.

[ Top ]

### static method IMCONJUGATE [line 1781]

`static string IMCONJUGATE( string $complexNumber)`

IMCONJUGATE

Returns the complex conjugate of a complex number in x + yi or x + yj text format.

Excel Function: IMCONJUGATE(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the conjugate.

[ Top ]

### static method IMCOS [line 1809]

`static string|float IMCOS( string $complexNumber)`

IMCOS

Returns the cosine of a complex number in x + yi or x + yj text format.

Excel Function: IMCOS(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the cosine.

[ Top ]

### static method IMDIV [line 2037]

`static string IMDIV( string $complexDividend, string $complexDivisor)`

IMDIV

Returns the quotient of two complex numbers in x + yi or x + yj text format.

Excel Function: IMDIV(complexDividend,complexDivisor)

#### Tags:

access: | public

#### Parameters:

string | $complexDividend | The complex numerator or dividend.
string | $complexDivisor | The complex denominator or divisor.

[ Top ]

### static method IMEXP [line 1969]

`static string IMEXP( string $complexNumber)`

IMEXP

Returns the exponential of a complex number in x + yi or x + yj text format.

Excel Function: IMEXP(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the exponential.

[ Top ]

### static method IMLN [line 1886]

`static string IMLN( string $complexNumber)`

IMLN

Returns the natural logarithm of a complex number in x + yi or x + yj text format.

Excel Function: IMLN(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the natural logarithm.

[ Top ]

### static method IMLOG2 [line 1943]

`static string IMLOG2( string $complexNumber)`

IMLOG2

Returns the common logarithm (base 10) of a complex number in x + yi or x + yj text format.

Excel Function: IMLOG2(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the base-2 logarithm.

[ Top ]

### static method IMLOG10 [line 1917]

`static string IMLOG10( string $complexNumber)`

IMLOG10

Returns the common logarithm (base 10) of a complex number in x + yi or x + yj text format.

Excel Function: IMLOG10(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the common logarithm.

[ Top ]

### static method IMPOWER [line 2002]

`static string IMPOWER( string $complexNumber, float $realNumber)`

IMPOWER

Returns a complex number in x + yi or x + yj text format raised to a power.

Excel Function: IMPOWER(complexNumber,realNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number you want to raise to a power.
float | $realNumber | The power to which you want to raise the complex number.

[ Top ]

### static method IMPRODUCT [line 2149]

`static string IMPRODUCT( string $complexNumber,...)`

IMPRODUCT

Returns the product of two or more complex numbers in x + yi or x + yj text format.

Excel Function: IMPRODUCT(complexNumber[,complexNumber[,...]])

#### Tags:

access: | public

#### Parameters:

string | $complexNumber,... | Series of complex numbers to multiply

[ Top ]

### static method IMREAL [line 1707]

`static float IMREAL( string $complexNumber)`

IMREAL

Returns the real coefficient of a complex number in x + yi or x + yj text format.

Excel Function: IMREAL(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the real coefficient.

[ Top ]

### static method IMSIN [line 1833]

`static string|float IMSIN( string $complexNumber)`

IMSIN

Returns the sine of a complex number in x + yi or x + yj text format.

Excel Function: IMSIN(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the sine.

[ Top ]

### static method IMSQRT [line 1857]

`static string IMSQRT( string $complexNumber)`

IMSQRT

Returns the square root of a complex number in x + yi or x + yj text format.

Excel Function: IMSQRT(complexNumber)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber | The complex number for which you want the square root.

[ Top ]

### static method IMSUB [line 2081]

`static string IMSUB( string $complexNumber1, string $complexNumber2)`

IMSUB

Returns the difference of two complex numbers in x + yi or x + yj text format.

Excel Function: IMSUB(complexNumber1,complexNumber2)

#### Tags:

access: | public

#### Parameters:

string | $complexNumber1 | The complex number from which to subtract complexNumber2.
string | $complexNumber2 | The complex number to subtract from complexNumber1.

[ Top ]

### static method IMSUM [line 2113]

`static string IMSUM( string $complexNumber,...)`

IMSUM

Returns the sum of two or more complex numbers in x + yi or x + yj text format.

Excel Function: IMSUM(complexNumber[,complexNumber[,...]])

#### Tags:

access: | public

#### Parameters:

string | $complexNumber,... | Series of complex numbers to add

[ Top ]

### static method OCTTOBIN [line 1525]

`static string OCTTOBIN( string $x, [integer $places = null])`

OCTTOBIN

Return an octal value as binary.

Excel Function: OCT2BIN(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The octal number you want to convert. Number may not contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is negative, OCT2BIN ignores places and returns a 10-character binary number. If number is negative, it cannot be less than 7777777000, and if number is positive, it cannot be greater than 777. If number is not a valid octal number, OCT2BIN returns the #NUM! error value. If OCT2BIN requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, OCT2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, OCT2BIN returns the #VALUE! error value. If places is negative, OCT2BIN returns the #NUM! error value.

[ Top ]

### static method OCTTODEC [line 1561]

`static string OCTTODEC( string $x)`

OCTTODEC

Return an octal value as decimal.

Excel Function: OCT2DEC(x)

#### Tags:

access: | public

#### Parameters:

string | $x | The octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is not a valid octal number, OCT2DEC returns the #NUM! error value.

[ Top ]

### static method OCTTOHEX [line 1604]

`static string OCTTOHEX( string $x, [integer $places = null])`

OCTTOHEX

Return an octal value as hex.

Excel Function: OCT2HEX(x[,places])

#### Tags:

access: | public

#### Parameters:

string

$x

The octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation. If number is negative, OCT2HEX ignores places and returns a 10-character hexadecimal number. If number is not a valid octal number, OCT2HEX returns the #NUM! error value. If OCT2HEX requires more than places characters, it returns the #NUM! error value.

integer | $places | The number of characters to use. If places is omitted, OCT2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros). If places is not an integer, it is truncated. If places is nonnumeric, OCT2HEX returns the #VALUE! error value. If places is negative, OCT2HEX returns the #NUM! error value.

[ Top ]

### static method _erfVal [line 2225]

`static void _erfVal( $x)`

#### Tags:

access: | public

#### Parameters:

| $x |

[ Top ]

### static method _parseComplex [line 696]

`static string[] _parseComplex( string $complexNumber)`

_parseComplex

Parses a complex number into its real and imaginary parts, and an I or J suffix

#### Tags:

return: | Indexed on "real", "imaginary" and "suffix"
access: | public

#### Parameters:

string | $complexNumber | The complex number

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:09 +0200 by phpDocumentor 1.4.4